关闭

出现Bad version number in .class file这个问题时,要注意三个方面

172人阅读 评论(0) 收藏 举报
java.lang.UnsupportedClassVersionError: Bad version number in .class file
出现这个问题时,要注意三个方面,网上都是简单的说了一下,现总结如下:
1、你所用的代码的jdk与目前的编译环境的jdk不一样,在当前工程上点右键选择"属性",进去后在Java build path进去修改即可。
2、进到当前工程的属性后,选择"Java Compiler"进去后将"Compiler Compliance level"改成当前jdk的版本
3、windows->preferences->MyEclipse Enterprise Workbench->Servers->Tomcat->选择一人版本的tomcat->JDK->修改成当前使用的JDK版本即可。
将以上三步都修改好后,一开始所提的错误就没有了,如果有的时候不改第三个,这个错误会一直存在。
0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:60552次
    • 积分:1032
    • 等级:
    • 排名:千里之外
    • 原创:36篇
    • 转载:45篇
    • 译文:0篇
    • 评论:11条
    最新评论